#' Toy Input Transcription Data Set
#' 
#' This exemplary transcription data are the differential expression results
#' analysed in the case study of the COSMOS paper.
#' 
#' @docType data
#'
#' @usage data(toy_RNA)
#'
#' @format An object of class \dQuote{\code{numeric}} containing the t-values of
#'   15919 genes, which are named with gene Entrez IDs matching the toy network.
#'
#' @source 
#'   \url{https://github.com/saezlab/COSMOS_MSB/blob/main/data/RNA_ttop_tumorvshealthy.csv}
#' 
#' @references {
#'   Dugourd, A., Kuppe, C. and Sciacovelli, M. et. al. (2021) \emph{Molecular 
#'   Systems Biology}. \bold{17}, e9730.
#' }
#' 
#' @examples
#' data(toy_RNA)
#' 
#' @keywords datasets
"toy_RNA"